<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Sound Manager: Data Fields - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Sound Manager
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_func.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;<ul>
<li>ackSetSourceState()
: <a class="el" href="class_lib_soundmanager.html#a66e6fd5ef9955df2295c450400d6eb74">LibSoundmanager</a>
</li>
<li>call()
: <a class="el" href="class_lib_soundmanager.html#a1fe952a4dabbab6126cc23e36c79c773">LibSoundmanager</a>
</li>
<li>connect()
: <a class="el" href="class_lib_soundmanager.html#aa570a8373e057127c85107e13053669c">LibSoundmanager</a>
</li>
<li>disconnect()
: <a class="el" href="class_lib_soundmanager.html#a3e59dfb464c81824d32f3391dea9b295">LibSoundmanager</a>
</li>
<li>init()
: <a class="el" href="class_lib_soundmanager.html#ad5026736048e49c640b25f790409a65e">LibSoundmanager</a>
</li>
<li>LibSoundmanager()
: <a class="el" href="class_lib_soundmanager.html#a8b51e9891813cb62dd12109c017ad106">LibSoundmanager</a>
</li>
<li>on_call()
: <a class="el" href="class_lib_soundmanager.html#a3ba2255cb1d29c77c4c6a2267949eda0">LibSoundmanager</a>
</li>
<li>on_event()
: <a class="el" href="class_lib_soundmanager.html#a86ef62e7847cd20e9cafbc1f6c017b3e">LibSoundmanager</a>
</li>
<li>on_hangup()
: <a class="el" href="class_lib_soundmanager.html#a71a8165cb15c7815aa95a8955f5cd7f6">LibSoundmanager</a>
</li>
<li>on_reply()
: <a class="el" href="class_lib_soundmanager.html#a69b4f10e509605a570cc52c795bc9d51">LibSoundmanager</a>
</li>
<li>operator=()
: <a class="el" href="class_lib_soundmanager.html#a875e992495c9448bc778dfe70325f672">LibSoundmanager</a>
</li>
<li>register_callback()
: <a class="el" href="class_lib_soundmanager.html#a472149619f68c2387d4ff7e02845db26">LibSoundmanager</a>
</li>
<li>registerSource()
: <a class="el" href="class_lib_soundmanager.html#a5353df3686a64c74c9672efd0c156351">LibSoundmanager</a>
</li>
<li>set_event_handler()
: <a class="el" href="class_lib_soundmanager.html#af39e2ddfb07ec049565b61ab4e1fbf8d">LibSoundmanager</a>
</li>
<li>subscribe()
: <a class="el" href="class_lib_soundmanager.html#a9cd7c5470cb135f9b1aa56d790c7e91e">LibSoundmanager</a>
</li>
<li>unsubscribe()
: <a class="el" href="class_lib_soundmanager.html#a21060844aa7efad6473b6104546afb06">LibSoundmanager</a>
</li>
<li>~LibSoundmanager()
: <a class="el" href="class_lib_soundmanager.html#abf861908e3d6d85d2b3c08683b08f934">LibSoundmanager</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
